#pragma once

#include <num/num.h>
#include <num/vec.h>

/* Export libnum symbols */
using namespace libnum;

/* Provide basic 3x3 matrix operations */
struct mat3
{
    num x11, x12, x13;
    num x21, x22, x23;
    num x31, x32, x33;
};

mat3 operator *(mat3 const &A, mat3 const &B);
vec3 operator *(mat3 const &M, vec3 const &u);
